%define anolis_release 1
%global apiver %%(echo %{version} | cut -d '.' -f 1)

Name:           libadwaita
Version:        1.3.2
Release:        %{anolis_release}%{?dist}
Summary:        Building blocks for modern GNOME applications

License:        LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/libadwaita
Source0:        https://download.gnome.org/sources/%{name}/1.3/%{name}-%{version}.tar.xz

BuildRequires:  intltool gcc gi-docgen meson >= 0.59.0 sassc vala
BuildRequires:  libappstream-glib

BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gio-2.0) >= 2.66
BuildRequires:  pkgconfig(glib-2.0) >= 2.66
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk4) >= 4.9.5

%description
Building blocks for modern GNOME applications.
%{name} is a library developed by the GNOME project to
provide a set of user interface components for creating
modern and responsive applications. It follows the GNOME
design guidelines and supports both desktop and mobile
platforms.

The library includes components such as buttons, switches,
text fields, menus, and more, all of which are customizable
and easily integrated into applications. The components are
designed to be accessible and support the latest accessibility
standards.

%package        devel
Summary:        Development files for %{name}

Requires:       %{name} = %{version}-%{release}
Requires:       vala
Recommends:     %{name}-demo = %{version}-%{release}
Recommends:     %{name}-doc = %{version}-%{release}

%description    devel
Development files for %{name}.


%package        doc
Summary:        Documentation files for %{name}
BuildArch:      noarch
Recommends:     %{name}-devel = %{version}-%{release}

%description    doc
Documentation files for %{name}.


%package        demo
Summary:        Demo files for %{name}
Conflicts:	%{name} < 1.2.0
Requires:       %{name} = %{version}-%{release}
Suggests:       %{name}-devel = %{version}-%{release}

%description    demo
Demo files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson \
    -Dgtk_doc=true \
    %{nil}
%meson_build


%install
%meson_install
%find_lang %{name}

%generate_compatibility_deps

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml

%files -f %{name}.lang
%license COPYING
%dir %{abidir}
%{_libdir}/*-%{apiver}.so.0*
%{abidir}/*-%{apiver}.dump
%{_libdir}/girepository-1.0/*.typelib

%files devel
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/*-%{apiver}.gir
%{_datadir}/vala/vapi/%{name}-%{apiver}.*
%{_includedir}/%{name}-%{apiver}/
%{_libdir}/*-%{apiver}.so
%{_libdir}/pkgconfig/*-%{apiver}.pc


%files demo
%{_bindir}/adwaita-%{apiver}-demo
%{abidir}/adwaita-%{apiver}-demo-option.list
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.metainfo.xml

%files doc
%doc HACKING.md README.md AUTHORS NEWS
%{_docdir}/%{name}-%{apiver}/


%changelog
* Sat Apr 22 2023 Funda Wang <fundawang@yeah.net> - 1.3.2-1
- New version 1.3.2

* Wed Apr 12 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.3.1-2
- optimize spec file

* Sat Mar 18 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.3.1-1
- Update to 1.3.1

* Sun Mar 5 2023 Funda Wang <fundawang@yeah.net> - 1.2.3-1
- New version 1.2.3

* Sun Feb 12 2023 Funda Wang <fundawang@yeah.net> - 1.2.2-1
- New version 1.2.2

* Sun Jan 22 2023 Funda Wang <fundawang@yeah.net> - 1.2.1-1
- New version 1.2.1

* Thu Dec 22 2022 Funda Wang <fundawang@yeah.net> - 1.2.0-2
- Drop duplicated file

* Tue Dec 6 2022 Funda Wang <fundawang@yeah.net> - 1.2.0-1
- New version 1.2.0

* Mon May 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.1.1-1
- Init from upstream version 1.1.1
